### ![](https://github.com/ghacksuserjs/ghacks-user.js/blob/master/wikipiki/bullet01.png) What does this do?
For a technical breakdown and explanation, check out the [Overview](https://github.com/ghacksuserjs/ghacks-user.js/wiki/1.1-Overview) in our awesome Wiki.

As for this particular [`user.js`](https://github.com/ghacksuserjs/ghacks-user.js/blob/master/user.js), it's a template, which, as provided, aims (with [add-ons](https://github.com/ghacksuserjs/ghacks-user.js/wiki/Appendix-B:-Firefox-Add-ons)) to provide as much privacy and enhanced security as possible, and to reduce tracking and fingerprinting as much as possible - while minimizing any loss of functionality and site or UI breakage (but it will happen).

Here are some equations I wrote down to illustrate the simplicity between privacy, security, tracking, fingerprinting, website functionality, UI convenience, reality, and your own expectations. I may have had one Pan Galactic Gargle Blaster too many when I wrote that, but it made perfect sense at the time.

   * ![](https://raw.githubusercontent.com/ghacksuserjs/ghacks-user.js/master/wikipiki/readme01.png)

We aim to INFORM and give you CHOICES. No one size fits all, so customize it! And not all sites have the same requirements, so use [profiles](https://github.com/ghacksuserjs/ghacks-user.js/wiki/2.1-Multiple-Profiles) with custom versions. We won't set you wrong.

### ![](https://github.com/ghacksuserjs/ghacks-user.js/blob/master/wikipiki/bullet01.png) Anything else I should know?
Something, something, something... oh yeah... INFORMATION IS POWER.

We want to empower you, so you can make informed decisions to better protect yourself online. To that end, we aim to be:

* Accessible (provide information and simpler, less-technical descriptions if possible)
* Accountable (provide reputable references/sources, [test sites](https://github.com/ghacksuserjs/ghacks-user.js/wiki/Appendix-C:-Test-Sites), dispel bad advice)
* Change trackable (yay! we're on github now, with commits)
* Compatible (deprecated section, [releases](https://github.com/ghacksuserjs/ghacks-user.js/releases))
* Comprehensive (including enforcing defaults and future-proofing)
* Current and up-to-date with stable (and we also do [changelogs](https://github.com/ghacksuserjs/ghacks-user.js/search?q=label%3Achangelog&type=Issues&utf8=%E2%9C%93))
* Detailed (preference versioning, hidden preference information, explanations, and more)
* Easy to use and discuss (sections, sub-sections, numbering)
* Helpful (including a great comprehensive [Wiki](https://github.com/ghacksuserjs/ghacks-user.js/wiki), and giving good advice)
* Innovative (best format ever!, special tags, and more)
* Other stuff... bound to have forgotten something

### ![](https://github.com/ghacksuserjs/ghacks-user.js/blob/master/wikipiki/bullet01.png) What's in the pipeline?
We have a few ideas...
* Branches
   * preset versions such as "relaxed" and "hardened", for use in different profiles
   * an ESR version
* JS
   * providing the JS in smaller "modular" files
* Ramping up the Wiki
   * Expanding the [Scripts](https://github.com/ghacksuserjs/ghacks-user.js/wiki#small_orange_diamond-scripts) section
   * e10s and WebExtensions in [Add-ons](https://github.com/ghacksuserjs/ghacks-user.js/wiki/Appendix-B:-Firefox-Add-ons)
   * Adding articles and tutorials

### ![](https://github.com/ghacksuserjs/ghacks-user.js/blob/master/wikipiki/bullet01.png) How do I use this?
Everyone, experts included, should at least read the [Implementation](https://github.com/ghacksuserjs/ghacks-user.js/wiki/1.3-Implementation) wiki page, as it contains important information relating to a few default settings we use. The rest of the [Wiki](https://github.com/ghacksuserjs/ghacks-user.js/wiki) is super helpful as well.

### ![](https://github.com/ghacksuserjs/ghacks-user.js/blob/master/wikipiki/bullet01.png) Any last words?
Any last words? What is this? An execution by firing squad? Man, you guys are a tough crowd! Just some background, for the record. This started as a personal, private project back in early 2015, and was released as an article by Martin Brinkmann at [ghacks](https://www.ghacks.net/) in August 2015. The response from the ghacks community was great, so along with some suggestions, I continued to keep it up-to-date and expand it (with three major updates). But six-monthly updates are problematic. So two years after I started, here we finally are at github, with all the obvious benefits that brings. I am excited about being here and looking forward to taking this to the next level with you all.

Thorin-Oakenpants, 31-Mar-2017

PS: With Martin Brinkmann's blessing, we are keeping the ghacks name.

### ![](https://github.com/ghacksuserjs/ghacks-user.js/blob/master/wikipiki/bullet01.png) Acknowledgments
It's impossible to acknowledge everyone - literally thousands of sources, references and suggestions. That said...

* Martin Brinkmann at [ghacks](https://www.ghacks.net/)
   * 100% genuine super-nice all-round good guy. Thanks buddy!
* The ghacks community and commentators. Thanks guys and gals!
   * Special mentions to earthling, Tom Hawack, Just me, Conker, Rockin' Jerry, Ainatar, Parker Lewis
* [12bytes](http://12bytes.org/articles/tech/firefoxgecko-configuration-guide-for-privacy-and-performance-buffs)
   * The 12bytes article now uses this user.js and supplements it with an additonal JS hosted right [here](https://github.com/atomGit/Firefox-user.js) at github. Thanks atomGit!
* [pyllyukko's user.js](https://github.com/pyllyukko/user.js)
   * A similar project started in Dec 2014. Thanks pyllyukko!
